El Foro

PlayOnLinux Need Help with "protocol (playonlinux) isn't associated"

PlayOnLinux Need Help with "protocol (playonlinux) isn't associated"

Autor Respuestas
Jump to the page: 1 - 2
Petreanko Sunday 23 June 2013 at 8:24
PetreankoAnonymous

Hello Everyone,

I am new to Linux and I have finally installed linux mint 15 64bit. I recently heard about PlayOnLInux and Installed it. The version I have is PlayOnLinux 4.2.1 - Which I think is the latest version.

I tried to install mass effect 1, installation went fine.. when I click on play it kept crashing.. so I thought let me try to install Bulletstorm3

So I went to this URL : http://www.playonlinux.com/en/app-808-Bulletstorm.html and when I clicked " Install this program" I get this error in firefox

The address wasn't understood
  
     
          Firefox doesn't know how to open this address, because the protocol (playonlinux) isn't associated with any program.
       


  You might need to install other software to open this address.


Could someone be kind enough to help me with this so I that I can game in Linux :)

Thanks for one and all!
petch Sunday 23 June 2013 at 9:30
petch
Developer

If you're using Firefox, type about:config in address field, then
right-click > New > Boolean value
- name: network.protocol-handler.expose.playonlinux
- value: false

Click on the "Install" button and you'll be asked what program to open it with. Navigate and select playonlinux-url_handler program (could be in /usr/share/playonlinux/bash/playonlinux-url_handler, depends on how you installed playonlinux).

Alternatively, just install the scripts from within playonlinux with the "Install" button, the list of scripts is exactly the same.

(source of info: http://kb.mozillazine.org/Register_protocol )

Editado por: petch

Petreanko Sunday 23 June 2013 at 9:54
PetreankoAnonymous

Thanks a tonne Petch. That solved it. Thank you again very much for your time!!
booman Tuesday 25 June 2013 at 21:20
booman

Wow Petch, that was way-over-my-head!
You can actually launch PlayOnLinux and install from the website this way? Crazy, I had no idea...

I agree with your second suggestion, just use PlayOnLinux and search for the script you want to use and install from there.

Wow, learn something new every day!

† Booman †
Mint 19 64-bit | Nvidia 415.25 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
Malik Thursday 1 August 2013 at 21:11
MalikAnonymous
Banned

petch i tryed to install gta 4 and i did the whole thing that you put down.
type about:config in address field, then
right-click > New > Boolean value
- name: network.protocol-handler.expose.playonlinux
- value: false

Click on the "Install" button and you'll be asked what program to open it with. Navigate and select playonlinux-url_handler program (could be in /usr/share/playonlinux/bash/playonlinux-url_handler


And nothing happened can you or someone please help me :-(
petch Thursday 1 August 2013 at 22:07
petch
Developer

@Malik: first let's make it clear that this way of installation is totally optional, you can install everything available from the web site using PlayOnLinux or PlayOnMac alone.
Also think about upgrading, PlayOnLinux 4.0.14 is oudated. That could be your problem.
Malik Thursday 1 August 2013 at 22:10
MalikAnonymous
Banned

where do i go to upgrade because im a noob to this type stuff
petch Thursday 1 August 2013 at 22:11
petch
Developer

Malik Thursday 1 August 2013 at 22:24
MalikAnonymous
Banned

I did this one
git clone https://github.com/PlayOnLinux/POL-POM-4

and also this one
wget -q "http://deb.playonlinux.com/public.gpg" -O- | sudo apt-key add -
sudo wget http://deb.playonlinux.com/playonlinux_precise.list -O /etc/apt/sources.list.d/playonlinux.list
sudo apt-get update
sudo apt-get install playonlinux

and now when i try to open it, it says

PlayOnLinux cannot find curl (from cURL)
You need to install it to continue

What should i do

Editado por: Malik

petch Thursday 1 August 2013 at 22:33
petch
Developer

sudo apt-get install curl

You didn't need to use both methods, the former is mainly useful for development, or if you want to always have the very last version.
Malik Thursday 1 August 2013 at 22:36
MalikAnonymous
Banned

thank you for your help
petch Thursday 1 August 2013 at 22:38
petch
Developer

Malik Thursday 1 August 2013 at 22:43
MalikAnonymous
Banned

I would like to install gta 4 but what do i do. i see it on the website and when i click install i don't know what to open or where it would be. can someone please help me

Editado por: Malik

booman Thursday 1 August 2013 at 22:58
booman

Good question... there is only a script for Grand Theft Auto IV patch.

† Booman †
Mint 19 64-bit | Nvidia 415.25 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
petch Thursday 1 August 2013 at 23:11
petch
Developer

It's a beta script, check the "Testing" checkbox to see it
Malik Thursday 1 August 2013 at 23:17
MalikAnonymous
Banned

im still confused petch.when i click in stall it says This link needs to be opened with an application. what do i do from there?
booman Thursday 1 August 2013 at 23:19
booman

Start by launching PlayOnLinux (The program, not the website)
Click Install
Check Testing
Search: Grand Theft Auto IV

† Booman †
Mint 19 64-bit | Nvidia 415.25 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
Malik Thursday 1 August 2013 at 23:22
MalikAnonymous
Banned

all i see is Grand Theft Auto IV patch 7. Is that what im supposed to be installing

Editado por: Malik

Malik Thursday 1 August 2013 at 23:36
MalikAnonymous
Banned

i think i found it
Malik Friday 2 August 2013 at 3:40
MalikAnonymous
Banned

Everytime i try to install grand theft auto iv on the playonlinux the program it doesn't work it keep giving me an error and a frowny face. I'm a noob on linux and this very confusin for me. Can someone please help me.